Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get brand

Gets a single brand including address, series and translations.

GET/api/v2/{team_slug}/{app_slug}/brands/{brand_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
brand_idstring<uuid>required
Responses
200

OK

dataBrandrequired
Show properties
idUUIDrequired
namestringrequired
slugstringrequired
coverBrandImage | null
Show properties
Any of:
BrandImage
idUUIDrequired
titlestring | null
urlstringrequired
null
null
logoBrandImage | null
Show properties
Any of:
BrandImage
idUUIDrequired
titlestring | null
urlstringrequired
null
null
descriptionstring | null
emailstring | null
addressBrandAddress
Show properties
street_addressstringrequired
co_addressstring | null
citystringrequired
state_provincestring | null
house_numberstring | null
postal_codestringrequired
countrystringrequired
created_atstring<date-time>required
updated_atstring<date-time> | null
seriesBrandSeries[] | null
Show properties
Array of BrandSeries
idUUIDrequired
namestringrequired
slugstringrequired
coverBrandImage | null
Show properties
Any of:
BrandImage
BrandImage
null
null
logoBrandImage | null
Show properties
Any of:
BrandImage
BrandImage
null
null
descriptionstring | null
emailstring | null
created_atstring<date-time>
updated_atstring<date-time> | null
translationsBrandTranslation
translationsBrandTranslation
Show properties
descriptionTranslation[]
Show properties
Array of Translation
idUUID
localestring
valuestring
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
404

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "slug": "string",
    "cover": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "title": "string",
      "url": "string"
    },
    "logo": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "title": "string",
      "url": "string"
    },
    "description": "string",
    "email": "string",
    "address": {
      "street_address": "string",
      "co_address": "string",
      "city": "string",
      "state_province": "string",
      "house_number": "string",
      "postal_code": "string",
      "country": "string"
    },
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "series": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "slug": "string",
        "cover": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "title": "string",
          "url": "string"
        },
        "logo": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "title": "string",
          "url": "string"
        },
        "description": "string",
        "email": "string",
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z",
        "translations": {
          "description": [
            {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "locale": "string",
              "value": "string"
            }
          ]
        }
      }
    ],
    "translations": {
      "description": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "locale": "string",
          "value": "string"
        }
      ]
    }
  }
}